Package twisted :: Package words :: Module tendril :: Class ProxiedParticipant

[frames | no frames]

## Class ProxiedParticipant

      Ephemeral --+
                  |
    WordsClient --+
                  |
                 ProxiedParticipant

I'm the client of a participant who is connected through Tendril.

Method Summary
| `__init__(self, tendril, nickname)`
| ``receiveDirectMessage`(self, sender, message, metadata)` Pass this message through tendril to my IRC counterpart.
| `setNick(self, nickname)`
Inherited from WordsClient
| ``memberJoined`(self, member, group)`
| ``memberLeft`(self, member, group)`
| ``notifyStatusChanged`(self, name, status)`
| ``receiveContactList`(self, contactList)`
| ``receiveGroupMembers`(self, names, group)`
| ``receiveGroupMessage`(self, sender, group, message, metadata)`
| ``setGroupMetadata`(self, metadata, name)`
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`NoneType` | `nickname` = None
`NoneType` | `tendril` = None

Method Details

### receiveDirectMessage(self, sender, message, metadata=None)

Pass this message through tendril to my IRC counterpart.

  Overrides:
    `twisted.words.service.WordsClient.receiveDirectMessage`

Class Variable Details

### nickname

  Type:
    `NoneType`
  Value:

        None

### tendril

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:07:54 2004 | http://epydoc.sf.net